Bug 19656 - Move rotating collections templates JS to the footer
Summary: Move rotating collections templates JS to the footer
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on: 19647
Blocks: 17858
  Show dependency treegraph
 
Reported: 2017-11-20 16:34 UTC by Owen Leonard
Modified: 2017-12-14 17:52 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19656: Move rotating collections templates JS to the footer (10.29 KB, patch)
2017-11-20 16:43 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19656: Move rotating collections templates JS to the footer (10.32 KB, patch)
2017-12-05 14:02 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19656: Move rotating collections templates JS to the footer (10.37 KB, patch)
2017-12-06 16:17 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 19656: (QA followup) Add bold style to rotating colections menu item (1.27 KB, patch)
2017-12-06 16:17 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-11-20 16:34:06 UTC
In order to conform to best practices for performance, staff client template JavaScript should be in the footer instead of the header.

This patch will do so for rotating collections templates.
Comment 1 Owen Leonard 2017-11-20 16:43:04 UTC
Created attachment 69237 [details] [review]
Bug 19656: Move rotating collections templates JS to the footer

This patch modifies the staff client's rotating collections templates so
that JavaScript is included in the footer instead of the header.

The patch moves JavaScript from each template and the rotating
collections toolbar into a single external JavaScript file.

To test, apply the patch and test the JavaScript-driven features of
each page: All button controls, DataTables functionality, form
validation, etc.
Comment 2 Claire Gravely 2017-12-05 14:02:14 UTC
Created attachment 69505 [details] [review]
Bug 19656: Move rotating collections templates JS to the footer

This patch modifies the staff client's rotating collections templates so
that JavaScript is included in the footer instead of the header.

The patch moves JavaScript from each template and the rotating
collections toolbar into a single external JavaScript file.

To test, apply the patch and test the JavaScript-driven features of
each page: All button controls, DataTables functionality, form
validation, etc.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Josef Moravec 2017-12-06 16:17:40 UTC
Created attachment 69563 [details] [review]
Bug 19656: Move rotating collections templates JS to the footer

This patch modifies the staff client's rotating collections templates so
that JavaScript is included in the footer instead of the header.

The patch moves JavaScript from each template and the rotating
collections toolbar into a single external JavaScript file.

To test, apply the patch and test the JavaScript-driven features of
each page: All button controls, DataTables functionality, form
validation, etc.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Josef Moravec 2017-12-06 16:17:43 UTC
Created attachment 69564 [details] [review]
Bug 19656: (QA followup) Add bold style to rotating colections menu item

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Josef Moravec 2017-12-06 16:18:15 UTC
Nice work!
Comment 6 Jonathan Druart 2017-12-11 14:36:39 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 7 Nick Clemens 2017-12-14 17:52:46 UTC
Awesome work all! Skipping for 17.11, enhancement